Does not work anymore on 12.04

Bug #922615 reported by Timbba on 2012-01-27
122
This bug affects 24 people
Affects Status Importance Assigned to Milestone
xfce4-appmenu-plugin
Undecided
mrDoctorWho

Bug Description

After upgrading latest packages, the appmenu plugin is broken. Panel shows only "Appmenu not found".

$ apt-cache policy xfce4-appmenu-plugin
xfce4-appmenu-plugin:
  Asennettu: 0.10-0~2~precise1
  Ehdokas: 0.10-0~2~precise1
  Versiotaulukko:
 *** 0.10-0~2~precise1 0
        500 http://ppa.launchpad.net/the-warl0ck-1989/xfce-appmenu-plugin/ubuntu/ precise/main i386 Packages
        100 /var/lib/dpkg/status

aldebx (aldebx) wrote :

I confirm this bug also on my desktop environment with xfce4-appmenu-plugin for precise installed from the same PPA.

Changed in xfce4-appmenu-plugin:
status: New → Confirmed

It's because i'm using a fixed path:

/usr/lib/indicators3/6/libappmenu.so ,

A temporary fix could be:

find /usr/lib/indicators* -name libappmenu.so

And then link it to the original path by:

sudo mkdir -p /usr/lib/indicators3/6
ln -s FILE_YOU_FOUND /usr/lib/indicators3/6/

On 12:36 Sat 28 Jan , aldebx wrote:
> I confirm this bug also on my desktop environment with xfce4-appmenu-
> plugin for precise installed from the same PPA.
>
> ** Changed in: xfce4-appmenu-plugin
> Status: New => Confirmed
>
> --
> You received this bug notification because you are the registrant for
> xfce4-appmenu-plugin.
> https://bugs.launchpad.net/bugs/922615
>
> Title:
> Does not work anymore on 12.04
>
> Status in XFCE Appmenu Plugin:
> Confirmed
>
> Bug description:
> After upgrading latest packages, the appmenu plugin is broken. Panel
> shows only "Appmenu not found".
>
> $ apt-cache policy xfce4-appmenu-plugin
> xfce4-appmenu-plugin:
> Asennettu: 0.10-0~2~precise1
> Ehdokas: 0.10-0~2~precise1
> Versiotaulukko:
> *** 0.10-0~2~precise1 0
> 500 http://ppa.launchpad.net/the-warl0ck-1989/xfce-appmenu-plugin/ubuntu/ precise/main i386 Packages
> 100 /var/lib/dpkg/status
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/xfce4-appmenu-plugin/+bug/922615/+subscriptions

--
Best Regards,
Aaron Lewis - PGP: 0xDFE6C29E ( http://pgp.mit.edu/ )
Finger Print: 9482 448F C7C3 896C 1DFE 7DD3 2492 A7D0 DFE6 C29E

Timbba (timbba) wrote :

Temp fix does not seem to work. "Appmenu not found" disappears, but leaves the plugin content empty. I tried to logout and re-login, but didn't help either.

jc (songochain) wrote :

Same here, temp fix doesn't work

BR.

jc (songochain) wrote :

Any news about this bug?
Thanks.

BR.

Catalina (catalina-9090) wrote :

I grabbed Alpha 2 today , and tried with latest source code , it's working.

But PPA fails since libindicator6 becoms libindicator7 , i'm looking for a
solution to make it available cross different Ubuntu releases.

Also for the "Appmenu not found" problem , it should be easy to fix by
using the path specified in its C headers , i'll update the PPA as soon as
I found the solution.

On Sat, Feb 18, 2012 at 5:33 AM, jc <email address hidden> wrote:

> Any news about this bug?
> Thanks.
>
> BR.
>
> --
> You received this bug notification because you are the registrant for
> xfce4-appmenu-plugin.
> https://bugs.launchpad.net/bugs/922615
>
> Title:
> Does not work anymore on 12.04
>
> Status in XFCE Appmenu Plugin:
> Confirmed
>
> Bug description:
> After upgrading latest packages, the appmenu plugin is broken. Panel
> shows only "Appmenu not found".
>
> $ apt-cache policy xfce4-appmenu-plugin
> xfce4-appmenu-plugin:
> Asennettu: 0.10-0~2~precise1
> Ehdokas: 0.10-0~2~precise1
> Versiotaulukko:
> *** 0.10-0~2~precise1 0
> 500
> http://ppa.launchpad.net/the-warl0ck-1989/xfce-appmenu-plugin/ubuntu/precise/main i386 Packages
> 100 /var/lib/dpkg/status
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/xfce4-appmenu-plugin/+bug/922615/+subscriptions
>

--
Best Regards,
Aaron Lewis - PGP: 0xDFE6C29E ( http://keyserver.veridis.com )
Finger Print: 9482 448F C7C3 896C 1DFE 7DD3 2492 A7D0 DFE6 C29E

jc (songochain) wrote :

Thanks. Is there a way to fix it by copying a file or something to the correct directory?

BR.

Catalina (catalina-9090) wrote :

On 13:40 Tue 21 Feb , jc wrote:
> Thanks. Is there a way to fix it by copying a file or something to the
> correct directory?

I don't know , but if you build from source code , it will work

To download the source code , try with:

bzr branch lp:~the-warl0ck-1989/xfce-appmenu-plugin/stable-1

Check out install structions in "README" , it should work for you
(Remember to remove the old package)

Thanks !

>
> BR.
>
> --
> You received this bug notification because you are the registrant for
> xfce4-appmenu-plugin.
> https://bugs.launchpad.net/bugs/922615
>
> Title:
> Does not work anymore on 12.04
>
> Status in XFCE Appmenu Plugin:
> Confirmed
>
> Bug description:
> After upgrading latest packages, the appmenu plugin is broken. Panel
> shows only "Appmenu not found".
>
> $ apt-cache policy xfce4-appmenu-plugin
> xfce4-appmenu-plugin:
> Asennettu: 0.10-0~2~precise1
> Ehdokas: 0.10-0~2~precise1
> Versiotaulukko:
> *** 0.10-0~2~precise1 0
> 500 http://ppa.launchpad.net/the-warl0ck-1989/xfce-appmenu-plugin/ubuntu/ precise/main i386 Packages
> 100 /var/lib/dpkg/status
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/xfce4-appmenu-plugin/+bug/922615/+subscriptions

--
Best Regards,
Aaron Lewis - PGP: 0xDFE6C29E ( http://pgp.mit.edu/ )
Finger Print: 9482 448F C7C3 896C 1DFE 7DD3 2492 A7D0 DFE6 C29E

Catalina (catalina-9090) wrote :

On 13:40 Tue 21 Feb , jc wrote:
> Thanks. Is there a way to fix it by copying a file or something to the
> correct directory?

Sorry i forgot about one thing ,

You'll have to fix the source code on Precise firstly:

sed 's#/usr/lib/indicators3/6#/usr/lib/indicators3/7#g' panel-plugin/indicator.c

>
> BR.
>
> --
> You received this bug notification because you are the registrant for
> xfce4-appmenu-plugin.
> https://bugs.launchpad.net/bugs/922615
>
> Title:
> Does not work anymore on 12.04
>
> Status in XFCE Appmenu Plugin:
> Confirmed
>
> Bug description:
> After upgrading latest packages, the appmenu plugin is broken. Panel
> shows only "Appmenu not found".
>
> $ apt-cache policy xfce4-appmenu-plugin
> xfce4-appmenu-plugin:
> Asennettu: 0.10-0~2~precise1
> Ehdokas: 0.10-0~2~precise1
> Versiotaulukko:
> *** 0.10-0~2~precise1 0
> 500 http://ppa.launchpad.net/the-warl0ck-1989/xfce-appmenu-plugin/ubuntu/ precise/main i386 Packages
> 100 /var/lib/dpkg/status
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/xfce4-appmenu-plugin/+bug/922615/+subscriptions

--
Best Regards,
Aaron Lewis - PGP: 0xDFE6C29E ( http://pgp.mit.edu/ )
Finger Print: 9482 448F C7C3 896C 1DFE 7DD3 2492 A7D0 DFE6 C29E

jc (songochain) wrote :

I can't download the code:
link@link-torre:~$ bzr branch lp:~the-warl0ck-1989/xfce-appmenu-plugin/stable-1
You have not informed bzr of your Launchpad ID, and you must do this to
write to Launchpad or access private data. See "bzr help launchpad-login".

Thanks.

BR.

CruelAngel (hendricha) wrote :

So... when can we expect a new build in the ppa for precise? I was hoping to use this on 12.04 beta, which supposed to come out today. :\

Catalina (catalina-9090) wrote :

I think I've solved the problem , the new PPA for testing is here (Supports both Oneric / Percise):

https://code.launchpad.net/~the-warl0ck-1989/+archive/testing

CruelAngel (hendricha) wrote :

Thanks, I'll test it out in virtualbox later today.

CruelAngel (hendricha) wrote :

Tested the version from the testing repo... and nope, it still shows "Appmenu not found".

Stirlitz (lukaszyk) wrote :

Same here, "Appmenu not found".

jc (songochain) wrote :

Here, "Appmenu not found" with testing ppa

Catalina (catalina-9090) wrote :

On 19:55 Sun 04 Mar , jc wrote:
> Here, "Appmenu not found" with testing ppa

Okay , I'll get a clean environment , and give it a test ASAP.

>
> --
> You received this bug notification because you are the registrant for
> xfce4-appmenu-plugin.
> https://bugs.launchpad.net/bugs/922615
>
> Title:
> Does not work anymore on 12.04
>
> Status in XFCE Appmenu Plugin:
> Confirmed
>
> Bug description:
> After upgrading latest packages, the appmenu plugin is broken. Panel
> shows only "Appmenu not found".
>
> $ apt-cache policy xfce4-appmenu-plugin
> xfce4-appmenu-plugin:
> Asennettu: 0.10-0~2~precise1
> Ehdokas: 0.10-0~2~precise1
> Versiotaulukko:
> *** 0.10-0~2~precise1 0
> 500 http://ppa.launchpad.net/the-warl0ck-1989/xfce-appmenu-plugin/ubuntu/ precise/main i386 Packages
> 100 /var/lib/dpkg/status
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/xfce4-appmenu-plugin/+bug/922615/+subscriptions

--
Best Regards,
Aaron Lewis - PGP: 0xDFE6C29E ( http://pgp.mit.edu/ )
Finger Print: 9482 448F C7C3 896C 1DFE 7DD3 2492 A7D0 DFE6 C29E

Bhree (brian-rhardii) wrote :

I tried to compile myself from bzr branch lp:~the-warl0ck-1989/xfce-appmenu-plugin/stable-1, and applying
sed 's#/usr/lib/indicators3/6#/usr/lib/indicators3/7#g' panel-plugin/indicator.c, then the appmenu is WORKING. I'm using 12.04 Beta 2. Tested using some GTK and Qt apps. But haven't made package from it.

Thank You.

Bhree (brian-rhardii) wrote :

....some update news, some apps like nautilus, empathy.. still shows their menus on their own windows.

Ariel Galil (arielgalula) wrote :

I also suffer from this bug in Xubuntu 12.04. Those fix don't work.

Walter Brock (walter-brock) wrote :

I downloaded the source, but had to edit indicator.c by hand. From some reason the sed command given above failed.

Then, I compiled as follow:

./configure --libexecdir=/usr/lib/xfce4-indicator-plugin/ --prefix=/usr

make

sudo make install.

This was successful. xfce-appmenu-plugin is now working for me.

Thank you all.

Lumenary (nx-kadams) wrote :

@Walter Brock #21:

How did you edit indicator.c?

I examined the file as it exists in the bzr branch at this location

-- http://bazaar.launchpad.net/~the-warl0ck-1989/xfce-appmenu-plugin/xfce-appmenu-stable-2/view/head:/panel-plugin/indicator.c

and it looks like the reason the sed command didn't work is because the string

-- "/usr/lib/indicators3/6"

no longer exists in the file (indicator.c).

Could you post a diff/patch?

Many thanks,

Lumenary
TZ=EST/EDT

David Masters (d-g-a-masters) wrote :

I also cannot get this to work in 12.04.

Can someone give me really basic instructions for how to do this? I can follow instructions such as the following websites:

http://www.omgubuntu.co.uk/2011/10/how-to-enable-ubuntus-global-menu-in-xubuntu-11-10/
http://askubuntu.com/questions/66181/how-do-i-enable-the-globalmenu-appmenu-on-xfce

I struggle to follow more technical instructions, such as those so far in this thread.

Thanks so much for your help!

Cloning stable-2 and builidng resolves the PPA/libindicator issue, but there's still Appmenu not found. Adding Indicator Plugin however shows the menu, but it's stuck together with notification area so it cannot be positioned "correctly" (to my will ).

CruelAngel (hendricha) wrote :

@Dusan: did you try adding a separator (set to extend) between the notification area and the menu?

Changed in xfce4-appmenu-plugin:
assignee: nobody → mrDoctorWho (mrdoctorwho)

I couldn't, its a single applet.

The app menu is in the Indicator Plugin, not in the AppMenu applet. That one is sitting there, empty.

mrDoctorWho (mrdoctorwho) wrote :

Xubuntu 12.04 have this bug. Added testing ppa, system upgraded, but slill error:
/usr/lib/xfce4-indicator-plugin/xfce4/panel-plugins/xfce4-appmenu-plugin: error while loading shared libraries: libindicator.so.6: cannot open shared object file: No such file or directory

Ivan Vučica (ivucica) wrote :

Depends on libindicator6 instead of libindicator7. An update may be in order :)

with app menu

with indicator

Dario Cano (thedary) wrote :

How I can make this work in xubuntu 12.04?

In 12.10 xfce4-appmenu-plugin can't be installed due to the unmet dependencies.

Dave Raggett (dsr-w3) wrote :

12.10 requires support for gtk+-3 but xfce4-appmenu-plugin depends on gtk+-2 so some porting work is needed

Sebastian W. (yodamin) wrote :

Hey guys
it seems that this package is nearly dead.

Are there any plan to get a global menu on xubuntu versions with gtk3 ?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers